Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3602 - zsh startup occasionally prints nonfatal error message.
Summary: zsh startup occasionally prints nonfatal error message.
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: zsh
Version: 6.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-20 20:51 UTC by George Karabin
Modified: 2015-01-07 23:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-25 03:36:09 UTC


Attachments (Terms of Use)

Description George Karabin 1999-06-20 20:51:24 UTC
I use zsh as my user account's default shell. On two
different RH 6.0 clean installations, I *sometimes* see this
error message when starting a gnome terminal:

/etc/zshenv: parse error: condition expected: -eq [12]

I can't remember ever seeing the problem when starting a new
zsh from the command line. ('zsh' or 'exec zsh'). A cheezy
20-try test shows that the problem doesn't happen when
invoking a new zsh from the command line.

I'm not certain what bad effects, if any, this is likely to
have. The only thing that I can think of is that, perhaps, a
root user running a gnome terminal with a shell of zsh would
not get a path that includes /sbin and /usr/sbin, from time
to time.

Comment 1 Michael K. Johnson 1999-09-25 03:36:59 UTC
Probably fixed for our upcoming Red Hat Linux 6.1 release.  Re-open
this bug if after upgrading to zsh-3.0.5-15 or later you still have
this problem.  (3.0.5-15 will show up in the next RawHide release).


Note You need to log in before you can comment on or make changes to this bug.